textures/transptex/skybox/sky
{
	skyparms textures/transptex/skybox/bluecloud 1024 -
	q3map_sunExt 255 250 230 80	60 60 0.5 32
	q3map_bounceScale 4.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 200 6

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	nopicmip
	nomipmaps
}

textures/transptex/solidslick
{
	qer_editorimage textures/transptex/solidslick.jpg
	qer_nocarve
	qer_trans 0.50
	
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm playerclip
}

textures/transptex/cushion
{
	qer_editorimage textures/transptex/cushion.jpg
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/transptex/pipe
{
	{
		map textures/transptex/blue.tga
	}
	{
		map textures/transptex/pipe.jpg      
		tcGen environment
		blendfunc add
	}
	{
        map $lightmap
        rgbGen identity
		tcgen lightmap
		blendfunc filter
	}
}

textures/transptex/pipeslick
{
	surfaceparm slick
	{
		map textures/transptex/blue.tga
	}
	{
		map textures/transptex/pipe.jpg      
		tcGen environment
		blendfunc add
	}
	{
        map $lightmap
        rgbGen identity
		tcgen lightmap
		blendfunc filter
	}
}

///glass///

//red dotted glass//
textures/transptex/scratchglass
{
	qer_editorimage textures/transptex/glasslightdot.jpg
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm lightfilter
	
	q3map_lightmapFilterRadius 0 16
	{
		map textures/transptex/glasslightdot.jpg
		blendfunc filter
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

//clear glass//
textures/transptex/scratchglassclean
{
	qer_editorimage textures/transptex/glasslight.jpg
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm lightfilter
	
	q3map_lightmapFilterRadius 0 16
	{
		map textures/transptex/glasslight.jpg
		blendfunc filter
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

//safety stripes glass top//
textures/transptex/stripeoverlaytop
{
	qer_editorimage textures/transptex/stripeoverlaytop.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm lightfilter
	
	q3map_lightmapFilterRadius 0 16
	{
		map textures/transptex/glasslight.jpg
		blendfunc filter
	}
	{
		map textures/transptex/stripeoverlaytop.tga
		alphaFunc GE128
		blendFunc blend
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}


//safety stripes glass middle//
textures/transptex/stripeoverlaymiddle

{
	qer_editorimage textures/transptex/stripeoverlaymiddle.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm lightfilter
	
	q3map_lightmapFilterRadius 0 16
	{
		map textures/transptex/glasslight.jpg
		blendfunc filter
	}
	{
		map textures/transptex/stripeoverlaymiddle.tga
		alphaFunc GE128
		blendFunc blend
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//safety stripes glass bottom//
textures/transptex/stripeoverlaybottom

{
	qer_editorimage textures/transptex/stripeoverlaybottom.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm lightfilter
	
	q3map_lightmapFilterRadius 0 16
	{
		map textures/transptex/glasslight.jpg
		blendfunc filter
	}
	{
		map textures/transptex/stripeoverlaybottom.tga
		alphaFunc GE128
		blendFunc blend
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//clear and slick glass//
textures/transptex/scratchglassslick
{
	qer_editorimage textures/transptex/glasslightslick.jpg
	surfaceparm trans
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm lightfilter
	
	q3map_lightmapFilterRadius 0 16
	{
		map textures/transptex/glasslight.jpg
		blendfunc filter
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

//alpha test textures//

textures/transptex/nets
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	{
		map textures/transptex/nets.tga
		alphaFunc GE128
		blendFunc blend
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/transptex/net
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	{
		map textures/transptex/net.tga
		alphaFunc GE128
		blendFunc blend
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/transptex/grates
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	{
		map textures/transptex/grates.tga
		alphaFunc GE128
		blendFunc blend
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}